Reference

Domain status codes

Every domain carries one or more status codes. They show what can be done with the domain right now, and who set each restriction.

Normal states

CodeMeaningSet by
okThe domain is active, with no pending operations or restrictions.Registry system
inactiveThe domain has no nameservers, so it does not resolve.Registry system

Locks

CodeMeaningSet by
clientTransferProhibitedTransfer lock set by the registrar: the domain cannot move to another registrar.Registrar
serverTransferProhibitedTransfer lock set by the registry: the domain cannot move to another registrar.Registry
clientUpdateProhibitedThe registrar has locked the domain against changes.Registrar
serverUpdateProhibitedThe registry has locked the domain against changes.Registry
clientDeleteProhibitedThe registrar has locked the domain against deletion.Registrar
serverDeleteProhibitedThe registry has locked the domain against deletion.Registry
clientRenewProhibitedThe registrar has blocked renewals.Registrar
serverRenewProhibitedThe registry has blocked renewals.Registry

Holds

CodeMeaningSet by
clientHoldThe registrar has suspended the domain; it does not resolve.Registrar
serverHoldThe registry has suspended the domain; it does not resolve.Registry

Grace and redemption periods

CodeMeaningSet by
addPeriodThe domain was registered within the last 5 days.Registry system
renewPeriodThe domain was renewed within the last 5 days.Registry system
autoRenewPeriodThe domain has expired and is in its 45-day grace period.Registry system
transferPeriodThe domain moved to a new registrar within the last 5 days.Registry system
redemptionPeriodThe domain expired and was deleted; it can be restored for 30 days.Registry system

Pending operations

CodeMeaningSet by
pendingCreateThe registration has been requested but not completed.Registry system
pendingRenewA renewal is being processed.Registry system
pendingTransferA transfer to another registrar is awaiting approval.Registry system
pendingUpdateA change to the domain is being processed.Registry system
pendingDeleteThe domain will be deleted within 5 days and cannot be restored.Registry system
pendingRestoreA restore from redemption has been requested.Registry system

EPP statuses are defined in RFC 5731 and RFC 3915; RFC 8056 maps them to RDAP.